Skip to main content
`Ctrl`+`K`

# pandas.MultiIndex.from_arrays

classmethod MultiIndex.from_arrays(arrays, sortorder=None, names=<no_default>)

  Convert arrays to MultiIndex.

  Parameters:
    arrays list / sequence of array-likes

      Each array-like gives one level’s value for each data point. len(arrays) is the number of levels.

    sortorder int or None

      Level of sortedness (must be lexicographically sorted by that level).

    names list / sequence of str, optional

      Names for the levels in the index.

  Returns:
    MultiIndex

  See also

  `MultiIndex.from_tuples`

    Convert list of tuples to MultiIndex.

  `MultiIndex.from_product`

    Make a MultiIndex from cartesian product of iterables.

  `MultiIndex.from_frame`

    Make a MultiIndex from a DataFrame.

  Examples

      >>> arrays = [[1, 1, 2, 2], ['red', 'blue', 'red', 'blue']]
      >>> pd.MultiIndex.from_arrays(arrays, names=('number', 'color'))
      MultiIndex([(1,  'red'),
                  (1, 'blue'),
                  (2,  'red'),
                  (2, 'blue')],
                 names=['number', 'color'])